#!/bin/bash

##################################################
. ${BUILDDIR}/buildscripts/functions

VERSION="2.2.8"
SHA1SUM="fb1ccf7e2be4ce5e3b5dc364c8fca2e4d09a82f4"
URL="http://www.cfengine.org/downloads"
FALLBACK="http://www.iam.unibe.ch/~rvs/research/adam/fallback"
BUILD_DEPS="toolchain zlib openssl db"
##################################################

download_bz2 cfengine &&

cd ${BUILDDIR} &&
tar -xjvf ${SRCDIR}/cfengine-${VERSION}.tar.bz2 &&
cd cfengine-${VERSION} &&

patch_src cfengine &&

sed -e 's|-O2|-Os|g' -i configure &&
CC="${CC} -Os -fPIC" ./configure --host=${BOARDARCH}-linux-gnu --prefix=/ --bindir=/bin --sbindir=/sbin --datadir=/usr/share --sysconfdir=/etc --localstatedir=/var --libdir=/lib --includedir=/usr/include --infodir=/usr/share/info --mandir=/usr/share/man --disable-nls --disable-largefile --with-pic --enable-shared --disable-static &&
sed -e 's|-D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64||g' -i pub/Makefile inputs/Makefile contrib/Makefile src/Makefile Makefile &&
make &&
make DESTDIR=${INSTALLDIR} install &&
mv -v ${INSTALLDIR}/sbin/{cfenv*,cfdoc,cfetool*} ${INSTALLDIR}/usr/sbin &&
mv -v ${INSTALLDIR}/lib/libcfengine.la ${INSTALLDIR}/usr/lib &&

cd ${BUILDDIR} &&
rm -rf cfengine-${VERSION}
