#!/bin/bash

##################################################
. ${BUILDDIR}/buildscripts/functions

VERSION="1.2.3"
SHA1SUM="967e280f284d02284b0cd8872a8e2e04bfdc7283"
URL="http://www.zlib.net"
FALLBACK="http://www.iam.unibe.ch/~rvs/research/adam/fallback"
BUILD_DEPS="toolchain"
##################################################

download_bz2 zlib &&

cd ${BUILDDIR} &&
tar -xjvf ${SRCDIR}/zlib-${VERSION}.tar.bz2 &&
cd zlib-${VERSION} &&

patch_src zlib &&

sed -e 's/-O3/-Os/g' -i configure &&
CC="${CC} -Os -fPIC" ./configure --prefix=/usr --shared &&
make &&

make DESTDIR=${INSTALLDIR} install &&
mv -v ${INSTALLDIR}/usr/lib/libz.so.* ${INSTALLDIR}/lib &&
ln -svf ../../lib/libz.so.1 ${INSTALLDIR}/usr/lib/libz.so &&
ln -svf libz.so.1 ${INSTALLDIR}/lib/libz.so &&

cd ${BUILDDIR} &&
rm -rf zlib-${VERSION}

