#!/bin/bash

##################################################
. ${BUILDDIR}/buildscripts/functions

VERSION="4.2.4"
SHA1SUM="bb20efc7750fe0d6172c5945572bf036fe59d3dd"
# this is 4.1.2 SHA1SUM="7981b8d1b58b10ddfd7d5142eab16352d9206f3b"
URL="http://ftp.gnu.org/gnu/gcc/gcc-${VERSION}"
FALLBACK="http://danielbalsiger.ch/image-builder"
##################################################

download_bz2 gcc &&

cd ${BUILDDIR} &&
tar -xjvf ${SRCDIR}/gcc-${VERSION}.tar.bz2 &&
cd gcc-${VERSION} &&

patch_src gcc &&

mkdir -v ../gcc-build &&
cd ../gcc-build &&
../gcc-${VERSION}/configure --prefix=${INSTALLDIR}/cross-tools --target=${CROSS_TARGET} --disable-multilib --with-sysroot=${INSTALLDIR} --disable-nls --enable-shared --enable-languages=c,c++ --enable-__cxa_atexit --enable-c99 --enable-long-long --enable-threads=posix --enable-libssp &&
make &&
make install &&

cd ${BUILDDIR} &&
rm -rf gcc-${VERSION} gcc-build

