#!/bin/sh

echo "Content-type: text/html; charset=iso-8859-1"
echo ""

if [ -z ${QUERY_STRING} ] ; then
   echo "No valid query"
   exit 1
fi
IFS="&"
for item in ${QUERY_STRING} ; do
    export $item
done
if [ -z "$msg" ] ; then
    exit 1
fi
if [ -z "$hash" ] ; then
    exit 1
fi
if [ -r $JOINDIR/JOINED ] ; then
    exit 1 
fi

#. /etc/init.d/rc.functions
#. /etc/conf.d/rc.conf

JOINDIR=/var/www/joinnode.d

case $msg in
  HELLO)
    node=`sudo /sbin/keyhash node $hash HELLO`
    if [ -n "$node" ] && [ ! -r  $JOINDIR/joined-$node ] && [ "$node" != `hostname` ] ; then
        if [ ! -r "$JOINDIR/hello-$node" ] ; then
           stamp=`date -u '+%s'`  
           echo stamp=$stamp > $JOINDIR/hello-$node
           echo $stamp
           exit 0
        fi
    fi
    exit 1
    ;;
  JOIN)
    if [ -z "$ip6" ] ; then
       exit 1
    fi
    if [ -z "$device" ] ; then
       exit 1
    fi
    for f in $JOINDIR/hello-* ; do
        for item in `cat $f` ; do
            export $item
        done
        node=`sudo /sbin/keyhash node $hash JOIN$stamp`
        if [ -n "$node"  ] && [ ! -r  $JOINDIR/joined-$node ] ; then
            rm -f $f
            echo server="`hostname`" > $JOINDIR/joined-$node
            echo stamp="$stamp" >> $JOINDIR/joined-$node
            echo client="$node" >> $JOINDIR/joined-$node
            echo client_ip6="$ip6" >> $JOINDIR/joined-$node
            echo client_device="$device" >> $JOINDIR/joined-$node
            #write_val $device_IP6 /etc/network.d/$node.conf $ip6
            #write_val $device_MASK6 /etc/network.d/$node.conf 48
            #write_val $device_ESSID /etc/network.d/$node.conf ${GLOBAL_CFNET6_PREFIX}
            #write_val $device_AUTO6 /etc/network.d/$node.conf no
            #sudo /etc/init.d/rc.network restart
            logger "Accepted join from client $node($device $ip6)"
            echo `hostname`
            exit 0
        fi
    done
    exit 1
    ;;
  *) 
    exit 1
    ;;
esac

